VistaIOWriteImages(3)

NAME
VistaIOWriteImages - write a series of images to a stream

SYNOPSIS
#include <stdio>
#include <vistaio.h>
#include <vistaio.h>

VistaIOBoolean VistaIOWriteImages (file, attributes, nimages, images)
    FILE *file;
    VistaIOAttrList attributes;
    int nimages;
    VistaIOImage images[nimages];

ARGUMENTS

file
    Specifies the open stream to which the images should be written.

attributes
    Specifies a list of attributes to be written to the stream.

nimages
    Specifies the number of images to be written.

images
    Specifies the images to be written.

DESCRIPTION
VistaIOWriteImages writes a series of images to an open stream as a Vista data file. Images images[0] through images[nimages - 1] are written, followed by any attributes in the list attributes. The attributes argument may be NULL if only images are to be written.

RETURN VALUES
VistaIOWriteImages returns TRUE if successful and FALSE otherwise. In the case of an error, data written to the stream may be incomplete.

SEE ALSO
VistaIOWriteFile(3), VistaIOWriteObjects(3), VistaIOWriteUbcIff(3), stdio(3),
VistaIOImage(3),

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>